List:Commits« Previous MessageNext Message »
From:Daniel Fischer Date:April 4 2007 12:19pm
Subject:bk commit into 5.1 tree (df:1.2499)
View as plain text  
Below is the list of changes that have just been committed into a local
5.1 repository of df. When df does a push these changes will
be propagated to the main repository and, within 24 hours after the
push, to the public repository.
For information on how to access the public repository
see http://dev.mysql.com/doc/mysql/en/installing-source-tree.html

ChangeSet@stripped, 2007-04-04 14:19:47+02:00, df@stripped +2 -0
  build fixes for 5.1.17

  CMakeLists.txt@stripped, 2007-04-04 14:19:45+02:00, df@stripped +8 -0
    use correct runtime library for RelWithDebugInfo target and always generate .map files

  scripts/make_win_bin_dist@stripped, 2007-04-04 14:19:45+02:00, df@stripped +21 -7
    use RelWithDebInfo target output if exists, include copy mysqld and mysqlmanager debug info in distribution

# This is a BitKeeper patch.  What follows are the unified diffs for the
# set of deltas contained in the patch.  The rest of the patch, the part
# that BitKeeper cares about, is below these diffs.
# User:	df
# Host:	pippilotta.erinye.com
# Root:	/shared/home/df/mysql/build/mysql-5.1-release

--- 1.4/scripts/make_win_bin_dist	2007-03-01 07:23:36 +01:00
+++ 1.5/scripts/make_win_bin_dist	2007-04-04 14:19:45 +02:00
@@ -127,6 +127,15 @@
 fi
 
 # ----------------------------------------------------------------------
+# Adjust target name if needed, release with debug info has another name
+# ----------------------------------------------------------------------
+
+if [ x"$TARGET" = x"release" -a -f "client/relwithdebinfo/mysql.exe" ]
+then
+  TARGET="relwithdebinfo"
+fi
+
+# ----------------------------------------------------------------------
 # Copy executables, and client DLL (FIXME why?)
 # ----------------------------------------------------------------------
 
@@ -134,18 +143,20 @@
 
 mkdir $DESTDIR
 mkdir $DESTDIR/bin
-cp client/$TARGET/*.exe                        $DESTDIR/bin/
-cp extra/$TARGET/*.exe                         $DESTDIR/bin/
-cp storage/myisam/$TARGET/*.exe                $DESTDIR/bin/
-cp server-tools/instance-manager/$TARGET/*.exe $DESTDIR/bin/
-cp tests/$TARGET/*.exe                         $DESTDIR/bin/
-cp libmysql/$TARGET/*.exe                      $DESTDIR/bin/
-cp libmysql/$TARGET/libmysql.dll               $DESTDIR/bin/
+cp client/$TARGET/*.exe                                  $DESTDIR/bin/
+cp extra/$TARGET/*.exe                                   $DESTDIR/bin/
+cp storage/myisam/$TARGET/*.exe                          $DESTDIR/bin/
+cp server-tools/instance-manager/$TARGET/*.{exe,map,pdb} $DESTDIR/bin/
+cp tests/$TARGET/*.exe                                   $DESTDIR/bin/
+cp libmysql/$TARGET/*.exe                                $DESTDIR/bin/
+cp libmysql/$TARGET/libmysql.dll                         $DESTDIR/bin/
 
 # FIXME really needed?!
 mv $DESTDIR/bin/comp_err.exe             $DESTDIR/bin/comp-err.exe
 
 cp sql/$TARGET/mysqld.exe                $DESTDIR/bin/mysqld$EXE_SUFFIX.exe
+cp sql/$TARGET/mysqld.pdb                $DESTDIR/bin/mysqld$EXE_SUFFIX.pdb
+cp sql/$TARGET/mysqld.map                $DESTDIR/bin/mysqld$EXE_SUFFIX.map
 
 if [ x"$PACK_DEBUG" = "" -a -f "sql/debug/mysqld.exe" -o \
      x"$PACK_DEBUG" = "yes" ] ; then
@@ -341,6 +352,9 @@
 done
 
 cp -pR sql/share $DESTDIR/
+
+# The SQL initiation code is really expected to be in "share"
+mv $DESTDIR/scripts/*.sql $DESTDIR/share/ || true
 
 # ----------------------------------------------------------------------
 # Copy other files specified on command line DEST=SOURCE

--- 1.25/CMakeLists.txt	2006-12-31 01:37:21 +01:00
+++ 1.26/CMakeLists.txt	2007-04-04 14:19:45 +02:00
@@ -114,6 +114,14 @@
 	STRING(REPLACE "/MDd" "/MTd" CMAKE_CXX_FLAGS_DEBUG 
 	       ${CMAKE_CXX_FLAGS_DEBUG})
 
+	STRING(REPLACE "/MD" "/MT" CMAKE_CXX_FLAGS_RELWITHDEBINFO 
+	       ${CMAKE_CXX_FLAGS_RELWITHDEBINFO})
+	STRING(REPLACE "/MD" "/MT" CMAKE_C_FLAGS_RELWITHDEBINFO 
+	       ${CMAKE_C_FLAGS_RELWITHDEBINFO})
+
+	# generate .map files  
+	SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /MAP /MAPINFO:EXPORTS")
+
 	# remove support for Exception handling
 	STRING(REPLACE "/GX" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
 	STRING(REPLACE "/EHsc" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
Thread
bk commit into 5.1 tree (df:1.2499)Daniel Fischer4 Apr